# Rust dice-roller
A CLI application that rolls arbitrary combinations of dice and sums up their values.

- `dice-roller` takes no command line arguments
- the syntax for rolling dice is `<number>d<sides>` e.g. rolling three 20-sided dice would be `3d20`
- you can combine any amount of different dice. `1d20 4d4` would roll one 20-sided die and four 4-sided dice
- the separator doesn't matter. You can write `1d20+4d4` or `1d20,4d4` etc. as long as you don't use `d` or a number as a separator
- up and down arrows let you quickly go through your roll history to reroll a certain combination or tweak it slightly